---
title: "FreeBSD/sparc64 6.4-RELEASE Release Notes"
sidenav: download
---

++++


<h3 class="CORPAUTHOR">The FreeBSD Project</h3>

<p class="COPYRIGHT">Copyright &copy; 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007,
2008 The FreeBSD Documentation Project</p>

<p class="PUBDATE">$FreeBSD:
releng/6.4/release/doc/en_US.ISO8859-1/relnotes/common/new.sgml 185279 2008-11-25
02:19:13Z hrs $<br />
</p>

<div class="LEGALNOTICE"><a id="TRADEMARKS" name="TRADEMARKS"></a>
<p>FreeBSD is a registered trademark of the FreeBSD Foundation.</p>

<p>IBM, AIX, EtherJet, Netfinity, OS/2, PowerPC, PS/2, S/390, and ThinkPad are trademarks
of International Business Machines Corporation in the United States, other countries, or
both.</p>

<p>IEEE, POSIX, and 802 are registered trademarks of Institute of Electrical and
Electronics Engineers, Inc. in the United States.</p>

<p>Intel, Celeron, EtherExpress, i386, i486, Itanium, Pentium, and Xeon are trademarks or
registered trademarks of Intel Corporation or its subsidiaries in the United States and
other countries.</p>

<p>Sparc, Sparc64, SPARCEngine, and UltraSPARC are trademarks of SPARC International, Inc
in the United States and other countries. Products bearing SPARC trademarks are based
upon architecture developed by Sun Microsystems, Inc.</p>

<p>Many of the designations used by manufacturers and sellers to distinguish their
products are claimed as trademarks. Where those designations appear in this document, and
the FreeBSD Project was aware of the trademark claim, the designations have been followed
by the &#8220;&trade;&#8221; or the &#8220;&reg;&#8221; symbol.</p>
</div>

<div>
<div class="ABSTRACT"><a id="AEN26" name="AEN26"></a>
<p>The release notes for FreeBSD 6.4-RELEASE contain a summary of the changes made to the
FreeBSD base system on the 6.4-STABLE development line. This document lists applicable
security advisories that were issued since the last release, as well as significant
changes to the FreeBSD kernel and userland. Some brief remarks on upgrading are also
presented.</p>
</div>
</div>

<hr />
</div>

<div class="TOC">
<dl>
<dt><b>Table of Contents</b></dt>

<dt>1 <a href="#INTRO">Introduction</a></dt>

<dt>2 <a href="#NEW">What's New</a></dt>

<dd>
<dl>
<dt>2.1 <a href="#SECURITY">Security Advisories</a></dt>

<dt>2.2 <a href="#KERNEL">Kernel Changes</a></dt>

<dd>
<dl>
<dt>2.2.1 <a href="#BOOT">Boot Loader Changes</a></dt>

<dt>2.2.2 <a href="#PROC">Hardware Support</a></dt>

<dt>2.2.3 <a href="#NET-PROTO">Network Protocols</a></dt>

<dt>2.2.4 <a href="#DISKS">Disks and Storage</a></dt>
</dl>
</dd>

<dt>2.3 <a href="#USERLAND">Userland Changes</a></dt>

<dd>
<dl>
<dt>2.3.1 <a href="#RC-SCRIPTS"><tt class="FILENAME">/etc/rc.d</tt> Scripts</a></dt>
</dl>
</dd>

<dt>2.4 <a href="#CONTRIB">Contributed Software</a></dt>

<dt>2.5 <a href="#PORTS">Ports/Packages Collection Infrastructure</a></dt>

<dt>2.6 <a href="#RELENG">Release Engineering and Integration</a></dt>
</dl>
</dd>

<dt>3 <a href="#UPGRADE">Upgrading from previous releases of FreeBSD</a></dt>
</dl>
</div>

<div class="SECT1">
<h2 class="SECT1"><a id="INTRO" name="INTRO">1 Introduction</a></h2>

<p>This document contains the release notes for FreeBSD 6.4-RELEASE on the UltraSPARC
hardware platform. It describes recently added, changed, or deleted features of FreeBSD.
It also provides some notes on upgrading from previous versions of FreeBSD.</p>

<p>This distribution of FreeBSD 6.4-RELEASE is a release distribution. It can be found at
<a href="ftp://ftp.FreeBSD.org/" target="_top">ftp://ftp.FreeBSD.org/</a> or any of its
mirrors. More information on obtaining this (or other) release distributions of FreeBSD
can be found in the <a
href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/mirrors.html"
target="_top">&#8220;Obtaining FreeBSD&#8221; appendix</a> to the <a
href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/" target="_top">FreeBSD
Handbook</a>.</p>

<p>All users are encouraged to consult the release errata before installing FreeBSD. The
errata document is updated with &#8220;late-breaking&#8221; information discovered late
in the release cycle or after the release. Typically, it contains information on known
bugs, security advisories, and corrections to documentation. An up-to-date copy of the
errata for FreeBSD 6.4-RELEASE can be found on the FreeBSD Web site.</p>
</div>

<div class="SECT1">
<hr />
<h2 class="SECT1"><a id="NEW" name="NEW">2 What's New</a></h2>

<p>This section describes the most user-visible new or changed features in FreeBSD since
6.3-RELEASE.</p>

<p>Typical release note items document recent security advisories issued after
6.3-RELEASE, new drivers or hardware support, new commands or options, major bug fixes,
or contributed software upgrades. They may also list changes to major ports/packages or
release engineering practices. Clearly the release notes cannot list every single change
made to FreeBSD between releases; this document focuses primarily on security advisories,
user-visible changes, and major architectural improvements.</p>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="SECURITY" name="SECURITY">2.1 Security Advisories</a></h3>

<p>Problems described in the following security advisories has been fixed. For more
information, consult the individual advisories available from <a
href="http://security.FreeBSD.org/" target="_top">http://security.FreeBSD.org/</a>.</p>

<div class="INFORMALTABLE"><a id="AEN46" name="AEN46"></a>
<table border="0" frame="void" class="CALSTABLE">
<col width="1*" />
<col width="1*" />
<col width="3*" />
<thead>
<tr>
<th>Advisory</th>
<th>Date</th>
<th>Topic</th>
</tr>
</thead>

<tbody>
<tr>
<td><a href="http://security.FreeBSD.org/advisories/FreeBSD-SA-08:03.sendfile.asc"
target="_top">SA-08:03.sendfile</a></td>
<td>14&nbsp;February&nbsp;2008</td>
<td>
<p><a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sendfile&sektion=2&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sendfile</span>(2)</span></a>
write-only file permission bypass</p>
</td>
</tr>

<tr>
<td><a href="http://security.freebsd.org/advisories/FreeBSD-SA-08:05.openssh.asc"
target="_top">SA-08:05.openssh</a></td>
<td>17&nbsp;April&nbsp;2008</td>
<td>
<p>OpenSSH X11-forwarding privilege escalation</p>
</td>
</tr>

<tr>
<td><a href="http://security.freebsd.org/advisories/FreeBSD-SA-08:06.bind.asc"
target="_top">SA-08:06.bind</a></td>
<td>13&nbsp;July&nbsp;2008</td>
<td>
<p>DNS cache poisoning</p>
</td>
</tr>

<tr>
<td><a href="http://security.freebsd.org/advisories/FreeBSD-SA-08:07.amd64.asc"
target="_top">SA-08:07.amd64</a></td>
<td>3&nbsp;September&nbsp;2008</td>
<td>
<p>amd64 swapgs local privilege escalation</p>
</td>
</tr>

<tr>
<td><a href="http://security.freebsd.org/advisories/FreeBSD-SA-08:09.icmp6.asc"
target="_top">SA-08:09.icmp6</a></td>
<td>3&nbsp;September&nbsp;2008</td>
<td>
<p>Remote kernel panics on IPv6 connections</p>
</td>
</tr>

<tr>
<td><a href="http://security.freebsd.org/advisories/FreeBSD-SA-08:10.nd6.asc"
target="_top">SA-08:10.nd6</a></td>
<td>1&nbsp;October&nbsp;2008</td>
<td>
<p>IPv6 Neighbor Discovery Protocol routing vulnerability</p>
</td>
</tr>

<tr>
<td><a href="http://security.freebsd.org/advisories/FreeBSD-SA-08:11.arc4random.asc"
target="_top">SA-08:11.arc4random</a></td>
<td>24&nbsp;November&nbsp;2008</td>
<td>
<p><a
href="http://www.FreeBSD.org/cgi/man.cgi?query=arc4random&sektion=9&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">arc4random</span>(9)</span></a>
predictable sequence vulnerability</p>
</td>
</tr>
</tbody>
</table>
</div>
</div>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="KERNEL" name="KERNEL">2.2 Kernel Changes</a></h3>

<p>The opencrypto framework (<a
href="http://www.FreeBSD.org/cgi/man.cgi?query=crypto&sektion=9&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">crypto</span>(9)</span></a>) and
<a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ipsec&sektion=4&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ipsec</span>(4)</span></a>
subsystem now support Camellia block cipher.</p>

<p>The FreeBSD kernel <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=malloc&sektion=9&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">malloc</span>(9)</span></a> now
supports buffer corruption protection (RedZone). This detects both buffer underflow and
buffer overflow bugs at runtime on <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=free&sektion=9&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">free</span>(9)</span></a> and <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=realloc&sektion=9&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">realloc</span>(9)</span></a> and
prints backtraces from where memory was allocated and from where it was freed. For more
details, see <tt class="LITERAL">DEBUG_REDZONE</tt> kernel option.</p>

<p>The client side functionality of <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=rpc.lockd&sektion=8&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">rpc.lockd</span>(8)</span></a> has
been implemented in FreeBSD kernel. This implementation provides the correct semantics
for <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=flock&sektion=2&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">flock</span>(2)</span></a> style
locks which are used by the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=lockf&sektion=1&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">lockf</span>(1)</span></a> command
line tool and the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=pidfile&sektion=3&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">pidfile</span>(3)</span></a>
library. It also implements recovery from server restarts and ensures that dirty cache
blocks are written to the server before obtaining locks (allowing multiple clients to use
file locking to safely share data). Also, a new kernel option <tt class="LITERAL">options
NFSLOCKD</tt> has been added and enabled by default. If the kernel support is enabled, <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=rpc.lockd&sektion=8&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">rpc.lockd</span>(8)</span></a>
automatically detects and uses the functionality.</p>

<div class="SECT3">
<hr />
<h4 class="SECT3"><a id="BOOT" name="BOOT">2.2.1 Boot Loader Changes</a></h4>

<p>FreeBSD now support booting from GPT-labeled disks from the BIOS.</p>
</div>

<div class="SECT3">
<hr />
<h4 class="SECT3"><a id="PROC" name="PROC">2.2.2 Hardware Support</a></h4>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=acpi_asus&sektion=4&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">acpi_asus</span>(4)</span></a>
driver now supports Asus EeePC backlight control.</p>

<div class="SECT4">
<hr />
<h5 class="SECT4"><a id="MM" name="MM">2.2.2.1 Multimedia Support</a></h5>

<p>The <tt class="FILENAME">DRM</tt> driver now supports i915 GME device.</p>
</div>

<div class="SECT4">
<hr />
<h5 class="SECT4"><a id="NET-IF" name="NET-IF">2.2.2.2 Network Interface Support</a></h5>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=bge&sektion=4&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">bge</span>(4)</span></a> driver
now supports BCM5906-based adapters.</p>
</div>
</div>

<div class="SECT3">
<hr />
<h4 class="SECT3"><a id="NET-PROTO" name="NET-PROTO">2.2.3 Network Protocols</a></h4>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=dummynet&sektion=4&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">dummynet</span>(4)</span></a>
subsystem now supports <tt class="LITERAL">fast</tt> mode operation which allows certain
packets to bypass the dummynet scheduler. This can achieve lower latency and lower
overhead when the packet flow is under the pipe bandwidth, and eliminate recursion in the
subsystem. The new sysctl variable <code
class="VARNAME">net.inet.ip.dummynet.io_fast</code> has been added to enable this
feature.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=resolver&sektion=3&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">resolver</span>(3)</span></a> now
allows underscore in domain names. Although this is a violation of RFC 1034 [STD 13], it
is accepted by certain name servers as well as other popular operating systems' resolver
library.</p>
</div>

<div class="SECT3">
<hr />
<h4 class="SECT3"><a id="DISKS" name="DISKS">2.2.4 Disks and Storage</a></h4>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=aac&sektion=4&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">aac</span>(4)</span></a> driver
now supports 64-bit array support for RAIDs larger than 2TB and simultaneous opens of the
device for issuing commands to the controller.</p>

<p>A data corruption problem of the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ata&sektion=4&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ata</span>(4)</span></a> driver on
ServerWorks HT1000 chipsets has been fixed.</p>

<p>Stability of the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=iir&sektion=4&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">iir</span>(4)</span></a> driver
has been improved.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=mpt&sektion=4&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">mpt</span>(4)</span></a> driver
now supports <tt class="LITERAL">mpt_user</tt> personality.</p>
</div>
</div>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="USERLAND" name="USERLAND">2.3 Userland Changes</a></h3>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=bsdtar&sektion=1&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">bsdtar</span>(1)</span></a>
utility now supports the following options: <code class="OPTION">--numeric-owner</code>,
<code class="OPTION">-S</code>, and <code class="OPTION">-s</code>.</p>

<p>A bug in <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=cp&sektion=1&manpath=FreeBSD+6.4-RELEASE"><span
 class="CITEREFENTRY"><span class="REFENTRYTITLE">cp</span>(1)</span></a> utility which
prevents POSIX.1e ACL (see also <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=acl&sektion=3&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">acl</span>(3)</span></a>) from
copying properly has been fixed.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=cron&sektion=8&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">cron</span>(8)</span></a> utility
now supports <code class="OPTION">-m</code> flag which overrides the default mail
recipient for cron mails unless explicitly provided by <tt class="LITERAL">MAILTO=</tt>
line in <tt class="FILENAME">crontab</tt> file.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=cvs&sektion=1&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">cvs</span>(1)</span></a> now
supports <code class="OPTION">-n</code> flag which is the opposite of <code
class="OPTION">-N</code> flag.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=dump&sektion=8&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">dump</span>(8)</span></a> and <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=restore&sektion=8&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">restore</span>(8)</span></a>
utility now support extended attributes (see also <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=extattr&sektion=9&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">extattr</span>(9)</span></a>).</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=fortune&sektion=6&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">fortune</span>(6)</span></a>
program now supports <code class="VARNAME">FORTUNE_PATH</code> environment variable to
specify search path of the fortune files.</p>

<p>A bug in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=fortune&sektion=6&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">fortune</span>(6)</span></a>
program that prevents <code class="OPTION">-e</code> option with multiple files from
working has been fixed.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=freebsd-update.conf&sektion=5&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span
class="REFENTRYTITLE">freebsd-update.conf</span>(5)</span></a> now supports <tt
class="LITERAL">IDSIgnorePaths</tt> statement.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=fwcontrol&sektion=8&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">fwcontrol</span>(8)</span></a>
utility now supports <code class="OPTION">-f <tt
class="REPLACEABLE"><i>node</i></tt></code> option which specifies <tt
class="REPLACEABLE"><i>node</i></tt> as the root node on the next bus reset.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=make&sektion=1&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">make</span>(1)</span></a> utility
now supports <tt class="LITERAL">:u</tt> variable modifier which removes adjacent
duplicate words.</p>

<p>The incorrect output grammer of <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=morse&sektion=6&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">morse</span>(6)</span></a> program
has been fixed.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=mountd&sektion=8&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">mountd</span>(8)</span></a>
utility now supports <code class="OPTION">-h <tt
class="REPLACEABLE"><i>bindip</i></tt></code> option which specifies IP addresses to bind
to for TCP and UDP requests. This option may be specified multiple times. If no <code
class="OPTION">-h</code> option is specified, <tt class="LITERAL">INADDR_ANY</tt> will be
used. Note that when specifying IP addresses with this option, it will automatically add
<tt class="LITERAL">127.0.0.1</tt> and if IPv6 is enabled, <tt class="LITERAL">::1</tt>
to the list.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=moused&sektion=8&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">moused</span>(8)</span></a>
utility now supports <code class="OPTION">-L</code> flag which changes the speed of
scrolling and changes <code class="OPTION">-U</code> option behavior to only affect the
scroll threshold.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=mv&sektion=1&manpath=FreeBSD+6.4-RELEASE"><span
 class="CITEREFENTRY"><span class="REFENTRYTITLE">mv</span>(1)</span></a> now support
POSIX specification when moving a directory to an existing directory across devices.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=periodic&sektion=8&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">periodic</span>(8)</span></a> now
supports <code class="VARNAME">daily_status_mail_rejects_shorten</code> configuration
variable in <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=periodic.conf&sektion=5&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span
class="REFENTRYTITLE">periodic.conf</span>(5)</span></a>. This allows the rejected mail
reports to tally the rejects per blacklist without providing details about individual
sender hosts. The default configuration keeps the reports in their original form.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ping6&sektion=8&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ping6</span>(8)</span></a> now
uses exit status of <tt class="LITERAL">0</tt> and <tt class="LITERAL">2</tt> in the same
manner as <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ping&sektion=8&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ping</span>(8)</span></a>.</p>

<p>A bug in <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=telnetd&sektion=8&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">telnetd</span>(8)</span></a> that
it attempts authentication even when <code class="OPTION">-a all</code> option is
specified has been fixed.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=top&sektion=1&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">top</span>(1)</span></a> and <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=vmstat&sektion=8&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">vmstat</span>(8)</span></a> now
support <code class="OPTION">-P</code> flag which displays per-CPU statistics.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=watch&sektion=8&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">watch</span>(8)</span></a> utility
now supports more than 10 <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=snp&sektion=4&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">snp</span>(4)</span></a> devices
at a time.</p>

<div class="SECT3">
<hr />
<h4 class="SECT3"><a id="RC-SCRIPTS" name="RC-SCRIPTS">2.3.1 <tt
class="FILENAME">/etc/rc.d</tt> Scripts</a></h4>

<p>The <tt class="FILENAME">ike</tt> <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=rc&sektion=8&manpath=FreeBSD+6.4-RELEASE"><span
 class="CITEREFENTRY"><span class="REFENTRYTITLE">rc</span>(8)</span></a> script has been
removed.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=rc.conf&sektion=5&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">rc.conf</span>(5)</span></a> now
supports <code class="VARNAME">dummynet_enable</code> variable which allow <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=dummynet&sektion=4&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">dummynet</span>(4)</span></a>
kernel module to be loaded when <code class="VARNAME">firewall_enable</code> is <tt
class="LITERAL">YES</tt>.</p>

<p>The <tt class="FILENAME">ppp</tt> <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=rc&sektion=8&manpath=FreeBSD+6.4-RELEASE"><span
 class="CITEREFENTRY"><span class="REFENTRYTITLE">rc</span>(8)</span></a> script now
supports multiple instances. For more details, see description of <code
class="VARNAME">ppp_profile</code> variable in <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=rc.conf&sektion=5&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">rc.conf</span>(5)</span></a>.</p>

<p>The <tt class="FILENAME">rfcomm_pppd_server</tt> <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=rc&sektion=8&manpath=FreeBSD+6.4-RELEASE"><span
 class="CITEREFENTRY"><span class="REFENTRYTITLE">rc</span>(8)</span></a> script which
allows start <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=rfcomm_pppd&sektion=8&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">rfcomm_pppd</span>(8)</span></a>
in server mode at boot time, has been added. Multiple profiles can be started at the same
time. For more details, see <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=rc.conf&sektion=5&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">rc.conf</span>(5)</span></a>.</p>

<p>The <tt class="FILENAME">sysctl</tt> <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=rc&sektion=8&manpath=FreeBSD+6.4-RELEASE"><span
 class="CITEREFENTRY"><span class="REFENTRYTITLE">rc</span>(8)</span></a> script now
supports loading <tt class="FILENAME">/etc/sysctl.conf.local</tt> in addition to <tt
class="FILENAME">/etc/sysctl.conf</tt>.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=rc.conf&sektion=5&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">rc.conf</span>(5)</span></a> now
supports configuration of interfaces and attached networks for firewall rule set by <tt
class="FILENAME">rc.firewall</tt> when <code class="VARNAME">firewall_type</code> is <tt
class="LITERAL">simple</tt> or <tt class="LITERAL">client</tt>. See <code
class="VARNAME">firewall_client_net</code>, <code
class="VARNAME">firewall_simple_iif</code>, <code
class="VARNAME">firewall_simple_inet</code>, <code
class="VARNAME">firewall_simple_oif</code>, and <code
class="VARNAME">firewall_simple_onet</code>.</p>
</div>
</div>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="CONTRIB" name="CONTRIB">2.4 Contributed Software</a></h3>

<p><b class="APPLICATION">am-utils</b> has been updated to version 6.1.5.</p>

<p><b class="APPLICATION">ISC BIND</b> has been updated to version 9.3.5-P2.</p>

<p><b class="APPLICATION">bzip2</b> has been updated from 1.0.4 to 1.0.5.</p>

<p><b class="APPLICATION">NTP</b> has been updated to version 4.2.4p5.</p>

<p><b class="APPLICATION">FILE</b> has been updated to version 4.21.</p>

<p><tt class="FILENAME">libarchive</tt> has been virtually updated to 2.5.4b. Note that
the internal version number remains 1.9.25 because the API/ABI compatibility is
preserved.</p>

<p><b class="APPLICATION">ncurses</b> library has been updated to version
5.6-20080503.</p>

<p><b class="APPLICATION">OpenPAM</b> has been updated to Hydrangea release.</p>

<p><b class="APPLICATION">sendmail</b> has been updated from 8.14.2 to 8.14.3.</p>

<p><b class="APPLICATION">tcsh</b> has been updated to version 6.15.00.</p>

<p>The timezone database has been updated from the <b class="APPLICATION">tzdata2007k</b>
release to the <b class="APPLICATION">tzdata2008e</b> release.</p>
</div>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="PORTS" name="PORTS">2.5 Ports/Packages Collection
Infrastructure</a></h3>

<p>The <tt class="FILENAME">pkg_install</tt> utilities have been upgraded to snapshot on
8.0-CURRENT as of May 30, 2008.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=pkg_sign&sektion=1&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">pkg_sign</span>(1)</span></a> and
the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=pkg_check&sektion=1&manpath=FreeBSD+6.4-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">pkg_check</span>(1)</span></a>
utility have been removed.</p>
</div>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="RELENG" name="RELENG">2.6 Release Engineering and
Integration</a></h3>

<p>The supported version of the <b class="APPLICATION">GNOME</b> desktop environment (<a
href="http://www.FreeBSD.org/cgi/url.cgi?ports/x11/gnome2/pkg-descr"><tt
class="FILENAME">x11/gnome2</tt></a>) has been updated from 2.20.1 to 2.22.3.</p>

<p>The supported version of the <b class="APPLICATION">KDE</b> desktop environment (<a
href="http://www.FreeBSD.org/cgi/url.cgi?ports/x11/kde3/pkg-descr"><tt
class="FILENAME">x11/kde3</tt></a>) has been updated from 3.5.8 to 3.5.10.</p>
</div>
</div>

<div class="SECT1">
<hr />
<h2 class="SECT1"><a id="UPGRADE" name="UPGRADE">3 Upgrading from previous releases of
FreeBSD</a></h2>

<p>Source upgrades to FreeBSD 6.4-RELEASE are only supported from FreeBSD 5.3-RELEASE or
later. Users of older systems wanting to upgrade 6.4-RELEASE will need to update to
FreeBSD 5.3 or newer first, then to FreeBSD 6.4-RELEASE.</p>

<div class="IMPORTANT">
<blockquote class="IMPORTANT">
<p><b>Important:</b> Upgrading FreeBSD should, of course, only be attempted after backing
up <span class="emphasis"><i class="EMPHASIS">all</i></span> data and configuration
files.</p>
</blockquote>
</div>
</div>
</div>

<hr />
<p align="center"><small>This file, and other release-related documents, can be
downloaded from <a href="ftp://ftp.FreeBSD.org/">ftp://ftp.FreeBSD.org/</a>.</small></p>

<p align="center"><small>For questions about FreeBSD, read the <a
href="http://www.FreeBSD.org/docs.html">documentation</a> before contacting &#60;<a
href="mailto:questions@FreeBSD.org">questions@FreeBSD.org</a>&#62;.</small></p>

<p align="center"><small>For questions about this documentation, e-mail &#60;<a
href="mailto:doc@FreeBSD.org">doc@FreeBSD.org</a>&#62;.</small></p>
++++


